:root {
    --main-width: 800px;
}
html {
    scroll-behavior: smooth;
}

body *,
body {
    margin: 0;
    box-sizing: border-box;
}

.container {
    width: var(--main-width);
    margin: 0 calc((100% - var(--main-width)) / 2);
    line-height: 1.2;
    display: inline-block;
}
nav {
    background-color: blue;
}
.main-navigation > a {
    float: left;
    text-decoration: none;
    color: black;
    background-color: white;
    padding: 5px 15px;
    margin: 10px 5px;
    border-radius: 0.7em;
}

.day {
    margin: 30px 0;
}

h2,
h3,
div,
p {
    margin: 10px 0px;
}

h3 {
    background-color: blue;
    color: whitesmoke;
}

.code {
    color: red;
    font-weight: bold;
    font-style: italic;
}

.tech {
    color: blue;
    font-weight: bold;
}

.youtube {
    display: inline-block;
    color: white;
    background-color: #dc143c88;
    padding: 5px 15px;
    margin: 10px 5px;
    border-radius: 0.7em;
    text-decoration: none;
}
.youtube:hover {
    background-color: #dc143c;
}
p {
    text-align: justify;
}
.inline {
    display: inline;
}

.example {
    font-style: italic;
    background-color: rgba(0, 0, 255, 0.25);
    font-size: 14px;
    line-height: 1;
}
.example ul {
    list-style: none;
}

.back-to-top {
    background-color: var(--secondary-color);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    position: fixed;
    bottom: 10px;
    right: calc((100% - var(--main-width)) / 2);
    transform: translateX(100%);
    text-decoration: none;
    color: white;
    background-color: crimson;
    font-size: 30px;
    text-align: center;
    line-height: 50px;
    transition: all 0.5s;
}
.back-to-top:hover {
    box-shadow: 0 3px 6px #0005;
}

@media (max-width: 900px) {
    .back-to-top {
        background-color: #dc143c55;
        right: 0;
        transform: translateX(-50%);
    }
}
@media (max-width: 800px) {
    .container {
        width: 100%;
        margin: 0;
        padding: 20px;
    }
    img {
        width: 100%;
    }
}
